Retrieve Holder details
curl --request GET \
--url https://ledger.sandbox.lerian.net/v2/organizations/{organization_id}/holders/{holder_id} \
--header 'Authorization: Bearer <token>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://ledger.sandbox.lerian.net/v2/organizations/{organization_id}/holders/{holder_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://ledger.sandbox.lerian.net/v2/organizations/{organization_id}/holders/{holder_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://ledger.sandbox.lerian.net/v2/organizations/{organization_id}/holders/{holder_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"createdAt": "2025-01-01T00:00:00Z",
"deletedAt": "2025-01-01T00:00:00Z",
"updatedAt": "2025-01-01T00:00:00Z",
"addresses": {
"additional1": {
"city": "New York",
"country": "US",
"line1": "123 Financial Avenue",
"line2": "Suite 1500",
"state": "NY",
"zipCode": "10001",
"description": "Home"
},
"additional2": {
"city": "New York",
"country": "US",
"line1": "123 Financial Avenue",
"line2": "Suite 1500",
"state": "NY",
"zipCode": "10001",
"description": "Home"
},
"primary": {
"city": "New York",
"country": "US",
"line1": "123 Financial Avenue",
"line2": "Suite 1500",
"state": "NY",
"zipCode": "10001",
"description": "Home"
}
},
"contact": {
"mobilePhone": "+1555555555",
"otherPhone": "+1555555555",
"primaryEmail": "john.doe@example.com",
"secondaryEmail": "john.doe@example.com"
},
"document": "12345678900",
"externalId": "G4K7N8M2",
"id": "00000000-0000-0000-0000-000000000000",
"legalPerson": {
"activity": "Electronic devices development",
"annualGrossRevenue": {
"currency": "BRL",
"referenceDate": "2026-06-30",
"value": "12500.50"
},
"foundingDate": "2025-01-01",
"representative": {
"document": "12345678900",
"email": "john.doe@example.com",
"name": "John Doe",
"role": "CFO"
},
"size": "Medium",
"status": "Active",
"totalAssets": {
"currency": "BRL",
"referenceDate": "2026-06-30",
"value": "12500.50"
},
"tradeName": "Lerian Studio",
"type": "Limited Liability"
},
"metadata": {},
"name": "John Doe",
"naturalPerson": {
"birthDate": "1990-01-01",
"civilStatus": "Single",
"fatherName": "John Doe",
"favoriteName": "John",
"gender": "Male",
"monthlyGrossIncome": {
"currency": "BRL",
"referenceDate": "2026-06-30",
"value": "12500.50"
},
"motherName": "Jane Doe",
"nationality": "Brazilian",
"socialName": "John Doe",
"status": "Active"
},
"type": "NATURAL_PERSON"
}{
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}Retrieve Holder details
GET
/
v2
/
organizations
/
{organization_id}
/
holders
/
{holder_id}
Retrieve Holder details
curl --request GET \
--url https://ledger.sandbox.lerian.net/v2/organizations/{organization_id}/holders/{holder_id} \
--header 'Authorization: Bearer <token>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://ledger.sandbox.lerian.net/v2/organizations/{organization_id}/holders/{holder_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://ledger.sandbox.lerian.net/v2/organizations/{organization_id}/holders/{holder_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://ledger.sandbox.lerian.net/v2/organizations/{organization_id}/holders/{holder_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"createdAt": "2025-01-01T00:00:00Z",
"deletedAt": "2025-01-01T00:00:00Z",
"updatedAt": "2025-01-01T00:00:00Z",
"addresses": {
"additional1": {
"city": "New York",
"country": "US",
"line1": "123 Financial Avenue",
"line2": "Suite 1500",
"state": "NY",
"zipCode": "10001",
"description": "Home"
},
"additional2": {
"city": "New York",
"country": "US",
"line1": "123 Financial Avenue",
"line2": "Suite 1500",
"state": "NY",
"zipCode": "10001",
"description": "Home"
},
"primary": {
"city": "New York",
"country": "US",
"line1": "123 Financial Avenue",
"line2": "Suite 1500",
"state": "NY",
"zipCode": "10001",
"description": "Home"
}
},
"contact": {
"mobilePhone": "+1555555555",
"otherPhone": "+1555555555",
"primaryEmail": "john.doe@example.com",
"secondaryEmail": "john.doe@example.com"
},
"document": "12345678900",
"externalId": "G4K7N8M2",
"id": "00000000-0000-0000-0000-000000000000",
"legalPerson": {
"activity": "Electronic devices development",
"annualGrossRevenue": {
"currency": "BRL",
"referenceDate": "2026-06-30",
"value": "12500.50"
},
"foundingDate": "2025-01-01",
"representative": {
"document": "12345678900",
"email": "john.doe@example.com",
"name": "John Doe",
"role": "CFO"
},
"size": "Medium",
"status": "Active",
"totalAssets": {
"currency": "BRL",
"referenceDate": "2026-06-30",
"value": "12500.50"
},
"tradeName": "Lerian Studio",
"type": "Limited Liability"
},
"metadata": {},
"name": "John Doe",
"naturalPerson": {
"birthDate": "1990-01-01",
"civilStatus": "Single",
"fatherName": "John Doe",
"favoriteName": "John",
"gender": "Male",
"monthlyGrossIncome": {
"currency": "BRL",
"referenceDate": "2026-06-30",
"value": "12500.50"
},
"motherName": "Jane Doe",
"nationality": "Brazilian",
"socialName": "John Doe",
"status": "Active"
},
"type": "NATURAL_PERSON"
}{
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}Parámetros de ruta
Parámetros de consulta
Respuesta
OK
¿Esta página le ayudó?

